package rule.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName RuleType
 * @Description 规则类型实体类
 * @Author Chen
 * @Date 2024/8/22 15:31
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "rule_type")
public class RuleType {
    /**
     * 类型主键
     */
    private Integer id;
    /**
     * 规则类型名称
     */
    private String ruleTypeName;
}
