package com.muyu.rule;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import lombok.extern.log4j.Log4j2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;

/**
 * @ClassName MuYuPayApplication
 * @Description 描述
 * @Author Chen
 * @Date 2024/7/29 20:30
 */
@Log4j2
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
public class MuYuRuleApplication {
    public static void main(String[] args) {
        ConfigurableApplicationContext applicationContext = SpringApplication.run(MuYuRuleApplication.class, args);
//        String[] beanDefinitionNames = applicationContext.getBeanFactory().getBeanDefinitionNames();
//        for (String beanDefinitionName : beanDefinitionNames) {
//            log.info("beanDefinitionName:{}",beanDefinitionName);
//        }

    }
}
